ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 896 by chuckv, Mon Jan 5 22:18:40 2004 UTC vs.
Revision 1323 by gezelter, Wed Jul 14 20:11:29 2004 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS MPI_F90_MODS MPIMODLIBNAME EGREP CPP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 784 | Line 784 | ac_env_MPIF77_set=${MPIF77+set}
784   ac_env_F90FLAGS_value=$F90FLAGS
785   ac_cv_env_F90FLAGS_set=${F90FLAGS+set}
786   ac_cv_env_F90FLAGS_value=$F90FLAGS
787 ac_env_MPIF77_set=${MPIF77+set}
788 ac_env_MPIF77_value=$MPIF77
789 ac_cv_env_MPIF77_set=${MPIF77+set}
790 ac_cv_env_MPIF77_value=$MPIF77
787   ac_env_CPP_set=${CPP+set}
788   ac_env_CPP_value=$CPP
789   ac_cv_env_CPP_set=${CPP+set}
# Line 874 | Line 870 | Optional Packages:
870   Optional Packages:
871    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
872    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
873 <  --with-mpi_dir=MPIDIR   give the path for MPI /usr/local
878 <  --with-mpi-libdir=dir  give the path for MPI-libraries MPI_DIR/lib
879 <  --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
880 <  --with-mpi_f90_mods=<dir>
881 <                          Location where MPI f90 modules are installed
873 >  --with-mpi=<prefix>     compile with MPI libraries in <prefix> [default=no]
874    --with-sprng_prefix=PREFIX
875                            Prefix where SPRNG is installed
876    --with-sprng-libdir=PREFIX  SPRNG library directory
877    --with-sprng-include=PREFIX
878                            SPRNG include directory
879 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
879 >  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
880  
881   Some influential environment variables:
882    CC          C compiler command
# Line 897 | Line 889 | Some influential environment variables:
889    CXXFLAGS    C++ compiler flags
890    F90         Fortran 90 compiler command
891    F90FLAGS    Fortran 90 compiler flags
900  MPIF77      MPI Fortran compiler command
892    CPP         C preprocessor
893  
894   Use these variables to override the choices made by `configure' or to help
# Line 1792 | Line 1783 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1783   # $SHELLVAR to the Fortran 95 mangled name.  If the SHELLVAR
1784   # argument is not supplied, it defaults to NAME.
1785   # AC_F95_FUNC
1786 +
1787 +
1788 +
1789 +
1790 +
1791 +
1792 +
1793  
1794  
1795  
# Line 2573 | Line 2571 | if test -n "$ac_tool_prefix"; then
2571   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2572   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2573   if test -n "$ac_tool_prefix"; then
2574 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2574 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2575    do
2576      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2577   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2615 | Line 2613 | if test -z "$CXX"; then
2613   fi
2614   if test -z "$CXX"; then
2615    ac_ct_CXX=$CXX
2616 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2616 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2617   do
2618    # Extract the first word of "$ac_prog", so it can be a program name with args.
2619   set dummy $ac_prog; ac_word=$2
# Line 2886 | Line 2884 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
2884   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
2885   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2886   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2887 +
2888  
2889   OOPSE_TEMPLATE_FLAGS=""
2890   if test $ac_cv_cxx_compiler_gnu = no; then
# Line 2931 | Line 2930 | echo "${ECHO_T}yes" >&6
2930    if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
2931      echo "$as_me:$LINENO: result: yes" >&5
2932   echo "${ECHO_T}yes" >&6
2933 +
2934 +
2935      EXTRA_CC_FLAG=${EXTRA_CC_FLAG}" -LANG:std"
2936    else
2937      echo "$as_me:$LINENO: result: no" >&5
# Line 2946 | Line 2947 | if test -n "$ac_tool_prefix"; then
2947   ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2948   ac_compiler_gnu=$ac_cv_f90_compiler_gnu
2949   if test -n "$ac_tool_prefix"; then
2950 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2950 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2951    do
2952      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2953   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2988 | Line 2989 | if test -z "$F90"; then
2989   fi
2990   if test -z "$F90"; then
2991    ac_ct_F90=$F90
2992 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2992 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2993   do
2994    # Extract the first word of "$ac_prog", so it can be a program name with args.
2995   set dummy $ac_prog; ac_word=$2
# Line 3096 | Line 3097 | if test "$ac_test_PREPFLAG" != "set"; then
3097    PREPFLAG=""
3098    case "${host_cpu}-${host_os}" in
3099  
3100 <  *linux*) if test "$F90" = ifc; then
3100 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3101                      PREPFLAG="-fpp1 "
3102                  fi;;
3103    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3173 | Line 3174 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
3174   ac_compiler_gnu=$ac_cv_c_compiler_gnu
3175  
3176  
3176
3177    if test "$prepflagworks" = 1; then
3178      echo "$as_me:$LINENO: result: yes" >&5
3179   echo "${ECHO_T}yes" >&6
# Line 3198 | Line 3198 | if test "$ac_test_PREPDEFFLAG" != "set"; then
3198    PREPDEFFLAG=""
3199    case "${host_cpu}-${host_os}" in
3200  
3201 <  *linux*) if test "$F90" = ifc; then
3201 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3202                      PREPDEFFLAG=" "
3203                  fi;;
3204    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3503 | Line 3503 | fi
3503  
3504            ;;
3505            # Ignore these flags.
3506 <        -lang* | -lcrt0.o | -lc | -lgcc | -LANG:=*)
3506 >        -lang* | -lcrt[012].o | -lc | -lgcc | -LANG:=*)
3507            ;;
3508          -lkernel32)
3509            test x"$CYGWIN" != xyes && ac_cv_f90libs="$ac_cv_f90libs $ac_arg"
# Line 4009 | Line 4009 | case $debug in
4009  
4010  
4011  
4012 +
4013 +
4014 + echo "$as_me:$LINENO: checking whether we are *really* using GNU cc" >&5
4015 + echo $ECHO_N "checking whether we are *really* using GNU cc... $ECHO_C" >&6
4016 + if test "${ac_cv_prog_really_gcc+set}" = set; then
4017 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4018 + else
4019 +
4020 + cat > conftest.c <<EOF
4021 + #ifdef __GNUC__
4022 +  #ifndef __INTEL_COMPILER
4023 +     yes;
4024 +  #endif
4025 + #endif
4026 + EOF
4027 + if { ac_try='${CC-cc} -E conftest.c'
4028 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4029 +  (eval $ac_try) 2>&5
4030 +  ac_status=$?
4031 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4032 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4033 +  ac_cv_prog_really_gcc=yes
4034 + else
4035 +  ac_cv_prog_really_gcc=no
4036 + fi
4037 +
4038 + fi
4039 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gcc" >&5
4040 + echo "${ECHO_T}$ac_cv_prog_really_gcc" >&6
4041 + if test "$ac_cv_prog_really_gcc" = yes; then
4042 +        :
4043 +
4044 + else
4045 +        :
4046 +
4047 + fi
4048 +
4049 +
4050   # Try to determine "good" native compiler flags if none specified on command
4051   # line
4052   if test "$ac_test_CFLAGS" != "set"; then
# Line 4048 | Line 4086 | if test "$ac_test_CFLAGS" != "set"; then
4086          fi;;
4087     *darwin*)
4088          if test "$CC" = xlc -o "$CC" = cc; then
4089 <                CFLAGS="-O3 -qtune=auto -w"
4052 <                echo "*******************************************************"
4053 <                echo "*  You have Darwin on an unknown powerpc system.      *"
4054 <                echo "*  It is recommended that you use                     *"
4055 <                echo "*                                                     *"
4056 <                echo "*  CFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4057 <                echo "*                               ^^^                   *"
4058 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4059 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4060 <                echo "*******************************************************"
4089 >                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4090          fi;;
4091    esac
4092  
4093    # use default flags for gcc on all systems
4094 <  if test $ac_cv_c_compiler_gnu = yes; then
4094 >  if test $ac_cv_prog_really_gcc = yes; then
4095       CFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4096    fi
4097  
4098    # test for gcc-specific flags:
4099 <  if test $ac_cv_c_compiler_gnu = yes; then
4099 >  if test $ac_cv_prog_really_gcc = yes; then
4100      # -malign-double for x86 systems
4101  
4102  
# Line 4125 | Line 4154 | fi
4154    fi
4155  
4156    CPU_FLAGS=""
4157 <  if test "$GCC" = "yes"; then
4157 >  if test $ac_cv_prog_really_gcc = yes; then
4158                    case "${host_cpu}" in
4159            i586*)
4160  
# Line 4271 | Line 4300 | cat > conftest.c <<EOF
4300   else
4301  
4302   cat > conftest.c <<EOF
4303 < #ifdef __GNUC__
4303 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4304   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4305       yes;
4306   #  endif
# Line 4440 | Line 4469 | fi
4469  
4470  
4471  
4472 +
4473 +
4474 +
4475 + echo "$as_me:$LINENO: checking whether we are *really* using GNU c++" >&5
4476 + echo $ECHO_N "checking whether we are *really* using GNU c++... $ECHO_C" >&6
4477 + if test "${ac_cv_prog_really_gxx+set}" = set; then
4478 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4479 + else
4480 +
4481 + cat > conftest.cpp <<EOF
4482 + #ifdef __GNUC__
4483 +  #ifndef __INTEL_COMPILER
4484 +     yes;
4485 +  #endif
4486 + #endif
4487 + EOF
4488 + if { ac_try='${CXX-c++} -E conftest.cpp'
4489 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4490 +  (eval $ac_try) 2>&5
4491 +  ac_status=$?
4492 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4493 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4494 +  ac_cv_prog_really_gxx=yes
4495 + else
4496 +  ac_cv_prog_really_gxx=no
4497 + fi
4498  
4499 + fi
4500 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gxx" >&5
4501 + echo "${ECHO_T}$ac_cv_prog_really_gxx" >&6
4502 + if test "$ac_cv_prog_really_gxx" = yes; then
4503 +        :
4504 +
4505 + else
4506 +        :
4507 +
4508 + fi
4509 +
4510 +
4511   # Try to determine "good" native compiler flags if none specified on command
4512   # line
4513   if test "$ac_test_CXXFLAGS" != "set"; then
# Line 4470 | Line 4537 | if test "$ac_test_CXXFLAGS" != "set"; then
4537                  echo "*******************************************************"
4538          fi;;
4539     *darwin*)
4540 <        if test "$CXX" = xlC; then
4541 <                CXXFLAGS="-O3 -qtune=auto -qansialias -w"
4475 <                echo "*******************************************************"
4476 <                echo "*  You have AIX on an unknown powerpc system.  It is  *"
4477 <                echo "*  recommended that you use                           *"
4478 <                echo "*                                                     *"
4479 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w  *"
4480 <                echo "*                                 ^^^                 *"
4481 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4482 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4483 <                echo "*******************************************************"
4540 >        if test "$CXX" = xlc++; then
4541 >                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4542          fi;;
4543    esac
4544  
4545    # use default flags for gcc on all systems
4546 <  if test $ac_cv_c_compiler_gnu = yes; then
4546 >  if test $ac_cv_prog_really_gxx = yes; then
4547       CXXFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4548    fi
4549  
4550    # test for gcc-specific flags:
4551 <  if test $ac_cv_c_compiler_gnu = yes; then
4551 >  if test $ac_cv_prog_really_gxx = yes; then
4552      # -malign-double for x86 systems
4553  
4554  
# Line 4548 | Line 4606 | fi
4606    fi
4607  
4608    CPU_FLAGS=""
4609 <  if test "$GCC" = "yes"; then
4609 >  if test $ac_cv_prog_really_gxx = yes; then
4610                    case "${host_cpu}" in
4611            i586*)
4612  
4613 < echo "$as_me:$LINENO: checking whether ${CC-cc} accepts -mcpu=pentium" >&5
4614 < echo $ECHO_N "checking whether ${CC-cc} accepts -mcpu=pentium... $ECHO_C" >&6
4613 > echo "$as_me:$LINENO: checking whether ${CXX-c++} accepts -mcpu=pentium" >&5
4614 > echo $ECHO_N "checking whether ${CXX-c++} accepts -mcpu=pentium... $ECHO_C" >&6
4615   if test "${ac_cpu_pentium+set}" = set; then
4616    echo $ECHO_N "(cached) $ECHO_C" >&6
4617   else
4618 <  echo 'void f(){}' > conftest.c
4619 < if test -z "`${CC-cc} -mcpu=pentium -c conftest.c 2>&1`"; then
4618 >  echo 'void f(){}' > conftest.cpp
4619 > if test -z "`${CXX-c++} -mcpu=pentium -c conftest.cpp 2>&1`"; then
4620          ac_cpu_pentium=yes
4621   else
4622          ac_cpu_pentium=no
# Line 4687 | Line 4745 | echo "$as_me:$LINENO: checking whether we are using gc
4745                  elif test "$cputype" = 750; then
4746  
4747  
4748 < echo "$as_me:$LINENO: checking whether we are using gcc 2.95 or later" >&5
4749 < echo $ECHO_N "checking whether we are using gcc 2.95 or later... $ECHO_C" >&6
4750 < if test "${ac_cv_prog_gcc_2_95+set}" = set; then
4748 > echo "$as_me:$LINENO: checking whether we are using g++ 2.95 or later" >&5
4749 > echo $ECHO_N "checking whether we are using g++ 2.95 or later... $ECHO_C" >&6
4750 > if test "${ac_cv_prog_gxx_2_95+set}" = set; then
4751    echo $ECHO_N "(cached) $ECHO_C" >&6
4752   else
4753  
4754 < cat > conftest.c <<EOF
4755 < #ifdef __GNUC__
4754 > cat > conftest.cpp <<EOF
4755 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4756   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4757       yes;
4758   #  endif
4759   #endif
4760   EOF
4761 < if { ac_try='${CC-cc} -E conftest.c'
4761 > if { ac_try='${CXX-c++} -E conftest.cpp'
4762    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4763    (eval $ac_try) 2>&5
4764    ac_status=$?
4765    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4766    (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4767 <  ac_cv_prog_gcc_2_95=yes
4767 >  ac_cv_prog_gxx_2_95=yes
4768   else
4769 <  ac_cv_prog_gcc_2_95=no
4769 >  ac_cv_prog_gxx_2_95=no
4770   fi
4771  
4772   fi
4773 < echo "$as_me:$LINENO: result: $ac_cv_prog_gcc_2_95" >&5
4774 < echo "${ECHO_T}$ac_cv_prog_gcc_2_95" >&6
4775 < if test "$ac_cv_prog_gcc_2_95" = yes; then
4773 > echo "$as_me:$LINENO: result: $ac_cv_prog_gxx_2_95" >&5
4774 > echo "${ECHO_T}$ac_cv_prog_gxx_2_95" >&6
4775 > if test "$ac_cv_prog_gxx_2_95" = yes; then
4776          :
4777  
4778  
# Line 4871 | Line 4929 | if test x"$F90FLAGS" = x ; then
4929    F90FLAGS=""
4930    case "${host_cpu}-${host_os}" in
4931  
4932 <  *linux*) if test "$F90" = ifc; then
4932 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
4933                      F90FLAGS="-O"
4934                  fi;;
4935     rs6000*-aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 4891 | Line 4949 | if test x"$F90FLAGS" = x ; then
4949                  echo "*******************************************************"
4950          fi;;
4951     *darwin*)
4952 <        if test "$F90" = f90 -o "$F90" = xlf90; then
4953 <                F90FLAGS="-O3 -qtune=auto -w"
4896 <                echo "*********************************************************"
4897 <                echo "*  You have Darwin on an unknown powerpc system.  It is *"
4898 <                echo "*  recommended that you use                             *"
4899 <                echo "*                                                       *"
4900 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4901 <                echo "*                                 ^^^                   *"
4902 <                echo "*  where xxx is 601, 603, 604, or whatever kind of      *"
4903 <                echo "*  PowerPC CPU you have.   For more info, man xlf.      *"
4904 <                echo "*********************************************************"
4952 >        if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
4953 >                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
4954          fi;;
4955    esac
4956  
# Line 5527 | Line 5576 | echo "$as_me:$LINENO: checking for mpi-directory" >&5
5576    exit 1
5577   fi
5578  
5530 echo "$as_me:$LINENO: checking for mpi-directory" >&5
5531 echo $ECHO_N "checking for mpi-directory... $ECHO_C" >&6
5579  
5580 < # Check whether --with-mpi_dir or --without-mpi_dir was given.
5581 < if test "${with_mpi_dir+set}" = set; then
5582 <  withval="$with_mpi_dir"
5583 <  MPI_DIR="$withval"
5580 >
5581 > # Check whether --with-mpi or --without-mpi was given.
5582 > if test "${with_mpi+set}" = set; then
5583 >  withval="$with_mpi"
5584 >  with_mpi=$withval
5585   else
5586 <  MPI_DIR="/usr/local"
5586 >  with_mpi="no"
5587   fi;
5540 echo "$as_me:$LINENO: result: $MPI_DIR" >&5
5541 echo "${ECHO_T}$MPI_DIR" >&6
5588  
5589 + case "x$with_mpi" in
5590 +        xyes | "x")  USE_MPI=yes;;
5591 +        xno) USE_MPI=no ;;
5592 +        *) MPI="$with_mpi"; USE_MPI=yes ;;
5593 + esac
5594 + if test "$USE_MPI" = "yes" -a -z "$with_mpi"; then
5595 +        MPI="/usr/local"
5596 + fi
5597 + if test "$USE_MPI" = "yes"; then
5598 +        echo "MPI = $MPI"
5599  
5544 echo "$as_me:$LINENO: checking for mpi-lib-directory" >&5
5545 echo $ECHO_N "checking for mpi-lib-directory... $ECHO_C" >&6
5600  
5601 < # Check whether --with-mpi_libdir or --without-mpi_libdir was given.
5602 < if test "${with_mpi_libdir+set}" = set; then
5603 <  withval="$with_mpi_libdir"
5550 <  MPI_LIBDIR="$withval"
5551 < else
5552 <  MPI_LIBDIR="$MPI_DIR/lib"
5553 < fi;
5554 < echo "$as_me:$LINENO: result: $MPI_LIBDIR" >&5
5555 < echo "${ECHO_T}$MPI_LIBDIR" >&6
5601 > # Set variables...
5602 > MPI_LIB_DIR="$MPI/lib"
5603 > MPI_INC_DIR="$MPI/include"
5604  
5605  
5558 echo "$as_me:$LINENO: checking for mpi-inc-directory" >&5
5559 echo $ECHO_N "checking for mpi-inc-directory... $ECHO_C" >&6
5606  
5607 < # Check whether --with-mpi_inc or --without-mpi_inc was given.
5608 < if test "${with_mpi_inc+set}" = set; then
5609 <  withval="$with_mpi_inc"
5610 <  MPI_INC="$withval"
5611 < else
5612 <  MPI_INC="$MPI_DIR/include"
5613 < fi;
5614 < echo "$as_me:$LINENO: result: $MPI_INC" >&5
5615 < echo "${ECHO_T}$MPI_INC" >&6
5607 > echo "$as_me:$LINENO: checking for mpi.h" >&5
5608 > echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
5609 > have_mpi_h=0
5610 > echo '#include <mpi.h>' > conftest.cc
5611 > if test -z "`${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1`"; then
5612 >        echo "$as_me:$LINENO: result: yes" >&5
5613 > echo "${ECHO_T}yes" >&6
5614 >        have_mpi_h=1
5615 > else
5616 >        echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5617 > echo "${ECHO_T}no! Check MPI include paths" >&6
5618 >        USE_MPI="no"
5619 > fi
5620 > rm -f conftest*
5621 > if test "$have_mpi_h" = 1; then
5622  
5623 + cat >>confdefs.h <<\_ACEOF
5624 + #define HAVE_MPI_H 1
5625 + _ACEOF
5626  
5627 + fi
5628  
5629 < echo "$as_me:$LINENO: checking for MPI library" >&5
5630 < echo $ECHO_N "checking for MPI library... $ECHO_C" >&6
5631 < MPI_LIB=""
5632 < case "$host" in
5633 <  *-ibm-aix*)
5634 <    echo "$as_me:$LINENO: checking whether to use signal-based MPI library" >&5
5635 < echo $ECHO_N "checking whether to use signal-based MPI library... $ECHO_C" >&6
5636 <    echo "$as_me:$LINENO: result: $PACX_SIGNAL" >&5
5637 < echo "${ECHO_T}$PACX_SIGNAL" >&6
5638 <    if test "x$PACX_SIGNAL" = "xyes" ; then
5639 <      if test -f "$MPI_LIBDIR/libmpi.a" ; then
5640 <        MPI_LIB="-lmpi"
5641 <      elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5642 <        MPI_LIB="-lmpi"
5587 <      elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5588 <        MPI_LIB="-lmpich"
5589 <      else
5590 <        { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5591 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5592 <   { (exit 1); exit 1; }; }
5593 <      fi
5594 <    else
5595 <      if test -f "$MPI_LIBDIR/libmpi_r.a" ; then
5596 <         MPI_LIB="-lmpi_r"
5597 <      else
5598 <         { { echo "$as_me:$LINENO: error: libmpi_r not found; check path for MPI package..." >&5
5599 < echo "$as_me: error: libmpi_r not found; check path for MPI package..." >&2;}
5600 <   { (exit 1); exit 1; }; }
5601 <      fi
5602 <    fi
5603 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5604 < echo "${ECHO_T}found $MPI_LIB" >&6
5605 <  ;;
5606 <  *)                             if test -f "$MPI_LIBDIR/libmpich.a" ; then
5607 <      MPI_LIB="-lmpich"
5608 <    elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5609 <      MPI_LIB="-lmpi"
5610 <    elif test -f "$MPI_LIBDIR/libmpi.a" ; then
5611 <      MPI_LIB="-lmpi"
5612 <    else
5613 <      { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5614 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5615 <   { (exit 1); exit 1; }; }
5616 <    fi
5617 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5618 < echo "${ECHO_T}found $MPI_LIB" >&6
5619 <  ;;
5620 < esac
5621 <
5622 <
5623 <
5624 <
5625 <
5626 <
5627 <
5628 <        for ac_prog in mpif90 hf90 mpxlf90 mpf90 mpxlf95 mpxlf_r
5629 < do
5630 <  # Extract the first word of "$ac_prog", so it can be a program name with args.
5631 < set dummy $ac_prog; ac_word=$2
5632 < echo "$as_me:$LINENO: checking for $ac_word" >&5
5633 < echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
5634 < if test "${ac_cv_prog_MPIF90+set}" = set; then
5635 <  echo $ECHO_N "(cached) $ECHO_C" >&6
5629 > echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
5630 > echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
5631 > have_mpif_h=0
5632 > rm -f conftest*
5633 > cat >conftest.f90 <<EOF
5634 > program main
5635 >   include 'mpif.h'
5636 > end
5637 > EOF
5638 > if $F90 -I$MPI_INC_DIR -c conftest.f90 > conftest.out 2>&1 ; then
5639 >        echo "$as_me:$LINENO: result: yes" >&5
5640 > echo "${ECHO_T}yes" >&6
5641 >        MPI_F90_INC="$MPI_INC_DIR"
5642 >        have_mpif_h=1
5643   else
5644 <  if test -n "$MPIF90"; then
5645 <  ac_cv_prog_MPIF90="$MPIF90" # Let the user override the test.
5646 < else
5647 < as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5648 < for as_dir in $PATH
5649 < do
5643 <  IFS=$as_save_IFS
5644 <  test -z "$as_dir" && as_dir=.
5645 <  for ac_exec_ext in '' $ac_executable_extensions; do
5646 <  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
5647 <    ac_cv_prog_MPIF90="$ac_prog"
5648 <    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5649 <    break 2
5650 <  fi
5651 < done
5652 < done
5653 <
5644 >        if test -s conftest.out ; then
5645 >                cat conftest.out >> config.log
5646 >        fi
5647 >        echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5648 > echo "${ECHO_T}no! Check MPI include paths" >&6
5649 >        USE_MPI="no"
5650   fi
5651 < fi
5656 < MPIF90=$ac_cv_prog_MPIF90
5657 < if test -n "$MPIF90"; then
5658 <  echo "$as_me:$LINENO: result: $MPIF90" >&5
5659 < echo "${ECHO_T}$MPIF90" >&6
5660 < else
5661 <  echo "$as_me:$LINENO: result: no" >&5
5662 < echo "${ECHO_T}no" >&6
5663 < fi
5651 > rm -f conftest*
5652  
5653 <  test -n "$MPIF90" && break
5666 < done
5667 < test -n "$MPIF90" || MPIF90="$F90"
5653 > if test "$have_mpif_h" = 1; then
5654  
5655 <        acx_mpi_save_F90="$F90"
5656 <        F90="$MPIF90"
5655 > cat >>confdefs.h <<\_ACEOF
5656 > #define HAVE_MPIF_H 1
5657 > _ACEOF
5658  
5659 + fi
5660  
5661 + ac_ext=c
5662 + ac_cpp='$CPP $CPPFLAGS'
5663 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5664 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5665 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
5666  
5667 < if test x = x"$MPILIBS"; then
5668 <        echo "$as_me:$LINENO: checking for MPI_Init" >&5
5676 < echo $ECHO_N "checking for MPI_Init... $ECHO_C" >&6
5677 <                        cat >conftest.$ac_ext <<_ACEOF
5667 > ac_save_LDFLAGS=$LDFLAGS
5668 > LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
5669  
5670 < program main
5680 <
5681 <      call MPI_Init
5682 < end program main
5683 <
5684 < _ACEOF
5685 < rm -f conftest.$ac_objext conftest$ac_exeext
5686 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5687 <  (eval $ac_link) 2>&5
5688 <  ac_status=$?
5689 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5690 <  (exit $ac_status); } &&
5691 <         { ac_try='test -s conftest$ac_exeext'
5692 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5693 <  (eval $ac_try) 2>&5
5694 <  ac_status=$?
5695 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5696 <  (exit $ac_status); }; }; then
5697 <  MPILIBS=" "
5698 <                                echo "$as_me:$LINENO: result: yes" >&5
5699 < echo "${ECHO_T}yes" >&6
5700 < else
5701 <  echo "$as_me: failed program was:" >&5
5702 < sed 's/^/| /' conftest.$ac_ext >&5
5703 <
5704 < echo "$as_me:$LINENO: result: no" >&5
5705 < echo "${ECHO_T}no" >&6
5706 < fi
5707 < rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5708 < fi
5709 < if test x = x"$MPILIBS"; then
5670 > if test x = x"$MPI_LIB"; then
5671          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5672   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5673   if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
# Line 5715 | Line 5676 | cat >conftest.$ac_ext <<_ACEOF
5676    ac_check_lib_save_LIBS=$LIBS
5677   LIBS="-lmpi  $LIBS"
5678   cat >conftest.$ac_ext <<_ACEOF
5679 + #line $LINENO "configure"
5680 + /* confdefs.h.  */
5681 + _ACEOF
5682 + cat confdefs.h >>conftest.$ac_ext
5683 + cat >>conftest.$ac_ext <<_ACEOF
5684 + /* end confdefs.h.  */
5685  
5686 < program main
5687 <
5688 < call MPI_Init
5689 < end program main
5690 <
5686 > /* Override any gcc2 internal prototype to avoid an error.  */
5687 > #ifdef __cplusplus
5688 > extern "C"
5689 > #endif
5690 > /* We use char because int might match the return type of a gcc2
5691 >   builtin and then its argument prototype would still apply.  */
5692 > char MPI_Init ();
5693 > int
5694 > main ()
5695 > {
5696 > MPI_Init ();
5697 >  ;
5698 >  return 0;
5699 > }
5700   _ACEOF
5701   rm -f conftest.$ac_objext conftest$ac_exeext
5702   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5747 | Line 5723 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
5723   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5724   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5725   if test $ac_cv_lib_mpi_MPI_Init = yes; then
5726 <  MPILIBS="-lmpi"
5726 >  MPI_LIB="-lmpi"
5727   fi
5728  
5729   fi
5730 < if test x = x"$MPILIBS"; then
5730 > if test x = x"$MPI_LIB"; then
5731          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5732   echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
5733   if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
# Line 5760 | Line 5736 | cat >conftest.$ac_ext <<_ACEOF
5736    ac_check_lib_save_LIBS=$LIBS
5737   LIBS="-lmpich  $LIBS"
5738   cat >conftest.$ac_ext <<_ACEOF
5739 + #line $LINENO "configure"
5740 + /* confdefs.h.  */
5741 + _ACEOF
5742 + cat confdefs.h >>conftest.$ac_ext
5743 + cat >>conftest.$ac_ext <<_ACEOF
5744 + /* end confdefs.h.  */
5745  
5746 < program main
5747 <
5748 < call MPI_Init
5749 < end program main
5750 <
5746 > /* Override any gcc2 internal prototype to avoid an error.  */
5747 > #ifdef __cplusplus
5748 > extern "C"
5749 > #endif
5750 > /* We use char because int might match the return type of a gcc2
5751 >   builtin and then its argument prototype would still apply.  */
5752 > char MPI_Init ();
5753 > int
5754 > main ()
5755 > {
5756 > MPI_Init ();
5757 >  ;
5758 >  return 0;
5759 > }
5760   _ACEOF
5761   rm -f conftest.$ac_objext conftest$ac_exeext
5762   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5792 | Line 5783 | if test $ac_cv_lib_mpich_MPI_Init = yes; then
5783   echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
5784   echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
5785   if test $ac_cv_lib_mpich_MPI_Init = yes; then
5786 <  MPILIBS="-lmpich"
5786 >  MPI_LIB="-lmpich"
5787   fi
5788  
5789   fi
5790 <
5791 <
5792 <
5793 < F90="$acx_mpi_save_F90"
5794 <
5795 <
5805 <
5806 < # Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
5807 < if test x = x"$MPILIBS"; then
5808 <
5809 <        :
5790 > $as_unset ac_cv_lib_mpi_MPI_Init
5791 > if test x = x"$MPI_LIB"; then
5792 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5793 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5794 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5795 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5796   else
5797 <
5798 < cat >>confdefs.h <<\_ACEOF
5799 < #define HAVE_MPI 1
5797 >  ac_check_lib_save_LIBS=$LIBS
5798 > LIBS="-lmpi "-llam" $LIBS"
5799 > cat >conftest.$ac_ext <<_ACEOF
5800 > #line $LINENO "configure"
5801 > /* confdefs.h.  */
5802   _ACEOF
5803 + cat confdefs.h >>conftest.$ac_ext
5804 + cat >>conftest.$ac_ext <<_ACEOF
5805 + /* end confdefs.h.  */
5806  
5807 <        :
5808 < fi
5809 <
5810 <
5811 <
5812 <
5813 <
5814 < # Check whether --with-mpi_f90_mods or --without-mpi_f90_mods was given.
5815 < if test "${with_mpi_f90_mods+set}" = set; then
5816 <  withval="$with_mpi_f90_mods"
5817 <  mpi_f90_mods="$withval"
5818 < else
5819 <  mpi_f90_mods="/usr/local/include/f90choice"
5820 < fi;
5830 <
5831 <  echo "$as_me:$LINENO: checking for MPI F90 modules" >&5
5832 < echo $ECHO_N "checking for MPI F90 modules... $ECHO_C" >&6
5833 <
5834 <
5835 <  ac_ext=f90
5836 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5837 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5838 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5839 <
5840 <  ac_save_F90FLAGS=$F90FLAGS
5841 <
5842 <  if test "$mpi_f90_mods"; then
5843 <  F90FLAGS="${F90FLAGS} ${MODDIRFLAG}${mpi_f90_mods}"
5844 < fi
5845 <
5846 <    cat >conftest.$ac_ext <<_ACEOF
5847 <
5848 <
5849 < program main
5850 <
5851 < use mpi
5852 < integer :: ierr
5853 < call MPI_Init(ierr)
5854 <
5855 <
5856 < end program main
5857 <
5807 > /* Override any gcc2 internal prototype to avoid an error.  */
5808 > #ifdef __cplusplus
5809 > extern "C"
5810 > #endif
5811 > /* We use char because int might match the return type of a gcc2
5812 >   builtin and then its argument prototype would still apply.  */
5813 > char MPI_Init ();
5814 > int
5815 > main ()
5816 > {
5817 > MPI_Init ();
5818 >  ;
5819 >  return 0;
5820 > }
5821   _ACEOF
5822 < rm -f conftest.$ac_objext
5823 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5824 <  (eval $ac_compile) 2>&5
5822 > rm -f conftest.$ac_objext conftest$ac_exeext
5823 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5824 >  (eval $ac_link) 2>&5
5825    ac_status=$?
5826    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5827    (exit $ac_status); } &&
5828 <         { ac_try='test -s conftest.$ac_objext'
5828 >         { ac_try='test -s conftest$ac_exeext'
5829    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5830    (eval $ac_try) 2>&5
5831    ac_status=$?
5832    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5833    (exit $ac_status); }; }; then
5834 <  HAVE_MPI_MOD=1
5834 >  ac_cv_lib_mpi_MPI_Init=yes
5835   else
5836    echo "$as_me: failed program was:" >&5
5837   sed 's/^/| /' conftest.$ac_ext >&5
5838  
5839 < HAVE_MPI_MOD=0
5839 > ac_cv_lib_mpi_MPI_Init=no
5840   fi
5841 < rm -f conftest.$ac_objext conftest.$ac_ext
5841 > rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5842 > LIBS=$ac_check_lib_save_LIBS
5843 > fi
5844 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5845 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5846 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5847 >  MPI_LIB="-lmpi -llam"
5848 > fi
5849  
5880  F90FLAGS=$ac_save_F90FLAGS
5881  ac_ext=f90
5882 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5883 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5884 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5885
5886
5887  if test "$HAVE_MPI_MOD" = 1; then
5888    echo "$as_me:$LINENO: result: yes" >&5
5889 echo "${ECHO_T}yes" >&6
5890
5891 cat >>confdefs.h <<\_ACEOF
5892 #define MPI_MOD 1
5893 _ACEOF
5894
5895    MPI_F90_MODS="${mpi_f90_mods}"
5896
5897    # The library name:
5898    if test -z "$MPI_LIB" ; then
5899       MPI_LIBNAME=-lmpich
5900    else
5901       MPI_LIBNAME="$MPI_LIB"
5902    fi
5903    if test -z "$MPIMODLIBNAME" ; then
5904       MPIMODLIBNAME="${MPI_LIBNAME}f90"
5905    fi
5906
5907  else
5908    echo "$as_me:$LINENO: result: no" >&5
5909 echo "${ECHO_T}no" >&6
5910    { echo "$as_me:$LINENO: WARNING: Couldn't locate MPI F90 Modules" >&5
5911 echo "$as_me: WARNING: Couldn't locate MPI F90 Modules" >&2;}
5912  fi
5913
5914
5915
5916 if test "$HAVE_MPI_MOD" = 1; then
5917
5918 cat >>confdefs.h <<\_ACEOF
5919 #define MPI_MOD 1
5920 _ACEOF
5921
5922 else
5923        ac_ext=f90
5924 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
5925 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5926 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
5927
5928        echo "$as_me:$LINENO: checking for egrep" >&5
5929 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
5930 if test "${ac_cv_prog_egrep+set}" = set; then
5931  echo $ECHO_N "(cached) $ECHO_C" >&6
5932 else
5933  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
5934    then ac_cv_prog_egrep='grep -E'
5935    else ac_cv_prog_egrep='egrep'
5936    fi
5850   fi
5938 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
5939 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
5940 EGREP=$ac_cv_prog_egrep
5851  
5852 <
5853 < echo "$as_me:$LINENO: checking for ANSI C header files" >&5
5854 < echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
5855 < if test "${ac_cv_header_stdc+set}" = set; then
5852 > $as_unset ac_cv_lib_mpi_MPI_Init
5853 > if test x = x"$MPI_LIB"; then
5854 > echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5855 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5856 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5857    echo $ECHO_N "(cached) $ECHO_C" >&6
5858   else
5859 <  cat >conftest.$ac_ext <<_ACEOF
5860 <
5861 < program main
5862 < #include <stdlib.h>
5863 < #include <stdarg.h>
5953 < #include <string.h>
5954 < #include <float.h>
5955 <
5956 <
5957 < end program main
5958 <
5859 >  ac_check_lib_save_LIBS=$LIBS
5860 > LIBS="-lmpi -llam -lpthread $LIBS"
5861 > cat >conftest.$ac_ext <<_ACEOF
5862 > #line $LINENO "configure"
5863 > /* confdefs.h.  */
5864   _ACEOF
5865 < rm -f conftest.$ac_objext
5866 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5867 <  (eval $ac_compile) 2>&5
5963 <  ac_status=$?
5964 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5965 <  (exit $ac_status); } &&
5966 <         { ac_try='test -s conftest.$ac_objext'
5967 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5968 <  (eval $ac_try) 2>&5
5969 <  ac_status=$?
5970 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5971 <  (exit $ac_status); }; }; then
5972 <  ac_cv_header_stdc=yes
5973 < else
5974 <  echo "$as_me: failed program was:" >&5
5975 < sed 's/^/| /' conftest.$ac_ext >&5
5865 > cat confdefs.h >>conftest.$ac_ext
5866 > cat >>conftest.$ac_ext <<_ACEOF
5867 > /* end confdefs.h.  */
5868  
5869 < ac_cv_header_stdc=no
5870 < fi
5871 < rm -f conftest.$ac_objext conftest.$ac_ext
5980 <
5981 < if test $ac_cv_header_stdc = yes; then
5982 <  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
5983 <  cat >conftest.$ac_ext <<_ACEOF
5984 < #include <string.h>
5985 <
5986 < _ACEOF
5987 < if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
5988 <  $EGREP "memchr" >/dev/null 2>&1; then
5989 <  :
5990 < else
5991 <  ac_cv_header_stdc=no
5992 < fi
5993 < rm -f conftest*
5994 <
5995 < fi
5996 <
5997 < if test $ac_cv_header_stdc = yes; then
5998 <  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
5999 <  cat >conftest.$ac_ext <<_ACEOF
6000 < #include <stdlib.h>
6001 <
6002 < _ACEOF
6003 < if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6004 <  $EGREP "free" >/dev/null 2>&1; then
6005 <  :
6006 < else
6007 <  ac_cv_header_stdc=no
6008 < fi
6009 < rm -f conftest*
6010 <
6011 < fi
6012 <
6013 < if test $ac_cv_header_stdc = yes; then
6014 <  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6015 <  if test "$cross_compiling" = yes; then
6016 <  :
6017 < else
6018 <  cat >conftest.$ac_ext <<_ACEOF
6019 < #include <ctype.h>
6020 < #if ((' ' & 0x0FF) == 0x020)
6021 < # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6022 < # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6023 < #else
6024 < # define ISLOWER(c) \
6025 <                   (('a' <= (c) && (c) <= 'i') \
6026 <                     || ('j' <= (c) && (c) <= 'r') \
6027 <                     || ('s' <= (c) && (c) <= 'z'))
6028 < # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
5869 > /* Override any gcc2 internal prototype to avoid an error.  */
5870 > #ifdef __cplusplus
5871 > extern "C"
5872   #endif
5873 <
5874 < #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
5873 > /* We use char because int might match the return type of a gcc2
5874 >   builtin and then its argument prototype would still apply.  */
5875 > char MPI_Init ();
5876   int
5877   main ()
5878   {
5879 <  int i;
5880 <  for (i = 0; i < 256; i++)
5881 <    if (XOR (islower (i), ISLOWER (i))
6038 <        || toupper (i) != TOUPPER (i))
6039 <      exit(2);
6040 <  exit (0);
5879 > MPI_Init ();
5880 >  ;
5881 >  return 0;
5882   }
5883   _ACEOF
5884 < rm -f conftest$ac_exeext
5884 > rm -f conftest.$ac_objext conftest$ac_exeext
5885   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5886    (eval $ac_link) 2>&5
5887    ac_status=$?
5888    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5889 <  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
5889 >  (exit $ac_status); } &&
5890 >         { ac_try='test -s conftest$ac_exeext'
5891    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5892    (eval $ac_try) 2>&5
5893    ac_status=$?
5894    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5895    (exit $ac_status); }; }; then
5896 <  :
5896 >  ac_cv_lib_mpi_MPI_Init=yes
5897   else
5898 <  echo "$as_me: program exited with status $ac_status" >&5
6057 < echo "$as_me: failed program was:" >&5
5898 >  echo "$as_me: failed program was:" >&5
5899   sed 's/^/| /' conftest.$ac_ext >&5
5900  
5901 < ( exit $ac_status )
6061 < ac_cv_header_stdc=no
5901 > ac_cv_lib_mpi_MPI_Init=no
5902   fi
5903 < rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5903 > rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5904 > LIBS=$ac_check_lib_save_LIBS
5905   fi
5906 < fi
5907 < fi
5908 < echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
5909 < echo "${ECHO_T}$ac_cv_header_stdc" >&6
6069 < if test $ac_cv_header_stdc = yes; then
6070 <
6071 < cat >>confdefs.h <<\_ACEOF
6072 < #define STDC_HEADERS 1
6073 < _ACEOF
6074 <
6075 < fi
6076 <
6077 < # On IRIX 5.3, sys/types and inttypes.h are conflicting.
6078 <
6079 <
6080 <
6081 <
6082 <
6083 <
6084 <
6085 <
6086 <
6087 < for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6088 <                  inttypes.h stdint.h unistd.h
6089 < do
6090 < as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6091 < echo "$as_me:$LINENO: checking for $ac_header" >&5
6092 < echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6093 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
6094 <  echo $ECHO_N "(cached) $ECHO_C" >&6
5906 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5907 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5908 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5909 >  MPI_LIB="-lmpi -llam -lpthread"
5910   else
6096  cat >conftest.$ac_ext <<_ACEOF
6097 $ac_includes_default
5911  
5912 < #include <$ac_header>
5913 < _ACEOF
5914 < rm -f conftest.$ac_objext
5915 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6103 <  (eval $ac_compile) 2>&5
6104 <  ac_status=$?
6105 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6106 <  (exit $ac_status); } &&
6107 <         { ac_try='test -s conftest.$ac_objext'
6108 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6109 <  (eval $ac_try) 2>&5
6110 <  ac_status=$?
6111 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6112 <  (exit $ac_status); }; }; then
6113 <  eval "$as_ac_Header=yes"
6114 < else
6115 <  echo "$as_me: failed program was:" >&5
6116 < sed 's/^/| /' conftest.$ac_ext >&5
5912 >             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
5913 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
5914 >   { (exit 1); exit 1; }; }
5915 >             USE_MPI="no"
5916  
6118 eval "$as_ac_Header=no"
5917   fi
6120 rm -f conftest.$ac_objext conftest.$ac_ext
6121 fi
6122 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6123 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6124 if test `eval echo '${'$as_ac_Header'}'` = yes; then
6125  cat >>confdefs.h <<_ACEOF
6126 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6127 _ACEOF
5918  
5919   fi
5920  
6131 done
5921  
5922  
5923 <
5924 < for ac_header in mpif.h
5925 < do
5926 < as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5927 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
5928 <  echo "$as_me:$LINENO: checking for $ac_header" >&5
5929 < echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6141 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
6142 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6143 < fi
6144 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6145 < echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5923 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
5924 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
5925 > MPI_F90_LIB=""
5926 > if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
5927 >        MPI_F90_LIB="-lfmpich"
5928 > elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
5929 >        MPI_F90_LIB="-llamf77mpi"
5930   else
5931 <  # Is the header compilable?
6148 < echo "$as_me:$LINENO: checking $ac_header usability" >&5
6149 < echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6150 < cat >conftest.$ac_ext <<_ACEOF
6151 < $ac_includes_default
6152 < #include <$ac_header>
6153 < _ACEOF
6154 < rm -f conftest.$ac_objext
6155 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6156 <  (eval $ac_compile) 2>&5
6157 <  ac_status=$?
6158 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6159 <  (exit $ac_status); } &&
6160 <         { ac_try='test -s conftest.$ac_objext'
6161 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6162 <  (eval $ac_try) 2>&5
6163 <  ac_status=$?
6164 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6165 <  (exit $ac_status); }; }; then
6166 <  ac_header_compiler=yes
6167 < else
6168 <  echo "$as_me: failed program was:" >&5
6169 < sed 's/^/| /' conftest.$ac_ext >&5
6170 <
6171 < ac_header_compiler=no
5931 >                        MPI_F90_LIB="  "
5932   fi
5933 < rm -f conftest.$ac_objext conftest.$ac_ext
5934 < echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6175 < echo "${ECHO_T}$ac_header_compiler" >&6
6176 <
6177 < # Is the header present?
6178 < echo "$as_me:$LINENO: checking $ac_header presence" >&5
6179 < echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6180 < cat >conftest.$ac_ext <<_ACEOF
6181 < #include <$ac_header>
6182 < _ACEOF
6183 < if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6184 <  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6185 <  ac_status=$?
6186 <  grep -v '^ *+' conftest.er1 >conftest.err
6187 <  rm -f conftest.er1
6188 <  cat conftest.err >&5
6189 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6190 <  (exit $ac_status); } >/dev/null; then
6191 <  if test -s conftest.err; then
6192 <    ac_cpp_err=$ac_f90_preproc_warn_flag
6193 <  else
6194 <    ac_cpp_err=
6195 <  fi
6196 < else
6197 <  ac_cpp_err=yes
6198 < fi
6199 < if test -z "$ac_cpp_err"; then
6200 <  ac_header_preproc=yes
6201 < else
6202 <  echo "$as_me: failed program was:" >&5
6203 < sed 's/^/| /' conftest.$ac_ext >&5
6204 <
6205 <  ac_header_preproc=no
6206 < fi
6207 < rm -f conftest.err conftest.$ac_ext
6208 < echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6209 < echo "${ECHO_T}$ac_header_preproc" >&6
6210 <
6211 < # So?  What about this header?
6212 < case $ac_header_compiler:$ac_header_preproc in
6213 <  yes:no )
6214 <    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6215 < echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6216 <    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6217 < echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6218 <    (
6219 <      cat <<\_ASBOX
6220 < ## ------------------------------------ ##
6221 < ## Report this to bug-autoconf@gnu.org. ##
6222 < ## ------------------------------------ ##
6223 < _ASBOX
6224 <    ) |
6225 <      sed "s/^/$as_me: WARNING:     /" >&2
6226 <    ;;
6227 <  no:yes )
6228 <    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6229 < echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6230 <    { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
6231 < echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
6232 <    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6233 < echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6234 <    (
6235 <      cat <<\_ASBOX
6236 < ## ------------------------------------ ##
6237 < ## Report this to bug-autoconf@gnu.org. ##
6238 < ## ------------------------------------ ##
6239 < _ASBOX
6240 <    ) |
6241 <      sed "s/^/$as_me: WARNING:     /" >&2
6242 <    ;;
6243 < esac
6244 < echo "$as_me:$LINENO: checking for $ac_header" >&5
6245 < echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6246 < if eval "test \"\${$as_ac_Header+set}\" = set"; then
6247 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6248 < else
6249 <  eval "$as_ac_Header=$ac_header_preproc"
6250 < fi
6251 < echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6252 < echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5933 > echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
5934 > echo "${ECHO_T}found $MPI_F90_LIB" >&6
5935  
6254 fi
6255 if test `eval echo '${'$as_ac_Header'}'` = yes; then
6256  cat >>confdefs.h <<_ACEOF
6257 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6258 _ACEOF
5936  
5937   fi
5938  
6262 done
5939  
6264        ac_ext=c
6265 ac_cpp='$CPP $CPPFLAGS'
6266 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6267 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6268 ac_compiler_gnu=$ac_cv_c_compiler_gnu
5940  
6270
6271 cat >>confdefs.h <<\_ACEOF
6272 #define MPI_H 1
6273 _ACEOF
6274
6275 fi
6276
5941   ac_ext=c
5942   ac_cpp='$CPP $CPPFLAGS'
5943   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 6507 | Line 6171 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6171   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6172   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6173   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6174 +
6175 +
6176 + echo "$as_me:$LINENO: checking for egrep" >&5
6177 + echo $ECHO_N "checking for egrep... $ECHO_C" >&6
6178 + if test "${ac_cv_prog_egrep+set}" = set; then
6179 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6180 + else
6181 +  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
6182 +    then ac_cv_prog_egrep='grep -E'
6183 +    else ac_cv_prog_egrep='egrep'
6184 +    fi
6185 + fi
6186 + echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
6187 + echo "${ECHO_T}$ac_cv_prog_egrep" >&6
6188 + EGREP=$ac_cv_prog_egrep
6189 +
6190 +
6191 + echo "$as_me:$LINENO: checking for ANSI C header files" >&5
6192 + echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
6193 + if test "${ac_cv_header_stdc+set}" = set; then
6194 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6195 + else
6196 +  cat >conftest.$ac_ext <<_ACEOF
6197 + #line $LINENO "configure"
6198 + /* confdefs.h.  */
6199 + _ACEOF
6200 + cat confdefs.h >>conftest.$ac_ext
6201 + cat >>conftest.$ac_ext <<_ACEOF
6202 + /* end confdefs.h.  */
6203 + #include <stdlib.h>
6204 + #include <stdarg.h>
6205 + #include <string.h>
6206 + #include <float.h>
6207 +
6208 + int
6209 + main ()
6210 + {
6211  
6212 +  ;
6213 +  return 0;
6214 + }
6215 + _ACEOF
6216 + rm -f conftest.$ac_objext
6217 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6218 +  (eval $ac_compile) 2>&5
6219 +  ac_status=$?
6220 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6221 +  (exit $ac_status); } &&
6222 +         { ac_try='test -s conftest.$ac_objext'
6223 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6224 +  (eval $ac_try) 2>&5
6225 +  ac_status=$?
6226 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6227 +  (exit $ac_status); }; }; then
6228 +  ac_cv_header_stdc=yes
6229 + else
6230 +  echo "$as_me: failed program was:" >&5
6231 + sed 's/^/| /' conftest.$ac_ext >&5
6232  
6233 + ac_cv_header_stdc=no
6234 + fi
6235 + rm -f conftest.$ac_objext conftest.$ac_ext
6236  
6237 + if test $ac_cv_header_stdc = yes; then
6238 +  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
6239 +  cat >conftest.$ac_ext <<_ACEOF
6240 + #line $LINENO "configure"
6241 + /* confdefs.h.  */
6242 + _ACEOF
6243 + cat confdefs.h >>conftest.$ac_ext
6244 + cat >>conftest.$ac_ext <<_ACEOF
6245 + /* end confdefs.h.  */
6246 + #include <string.h>
6247  
6248 + _ACEOF
6249 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6250 +  $EGREP "memchr" >/dev/null 2>&1; then
6251 +  :
6252 + else
6253 +  ac_cv_header_stdc=no
6254 + fi
6255 + rm -f conftest*
6256  
6257 + fi
6258 +
6259 + if test $ac_cv_header_stdc = yes; then
6260 +  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
6261 +  cat >conftest.$ac_ext <<_ACEOF
6262 + #line $LINENO "configure"
6263 + /* confdefs.h.  */
6264 + _ACEOF
6265 + cat confdefs.h >>conftest.$ac_ext
6266 + cat >>conftest.$ac_ext <<_ACEOF
6267 + /* end confdefs.h.  */
6268 + #include <stdlib.h>
6269 +
6270 + _ACEOF
6271 + if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
6272 +  $EGREP "free" >/dev/null 2>&1; then
6273 +  :
6274 + else
6275 +  ac_cv_header_stdc=no
6276 + fi
6277 + rm -f conftest*
6278 +
6279 + fi
6280 +
6281 + if test $ac_cv_header_stdc = yes; then
6282 +  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
6283 +  if test "$cross_compiling" = yes; then
6284 +  :
6285 + else
6286 +  cat >conftest.$ac_ext <<_ACEOF
6287 + #line $LINENO "configure"
6288 + /* confdefs.h.  */
6289 + _ACEOF
6290 + cat confdefs.h >>conftest.$ac_ext
6291 + cat >>conftest.$ac_ext <<_ACEOF
6292 + /* end confdefs.h.  */
6293 + #include <ctype.h>
6294 + #if ((' ' & 0x0FF) == 0x020)
6295 + # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
6296 + # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
6297 + #else
6298 + # define ISLOWER(c) \
6299 +                   (('a' <= (c) && (c) <= 'i') \
6300 +                     || ('j' <= (c) && (c) <= 'r') \
6301 +                     || ('s' <= (c) && (c) <= 'z'))
6302 + # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
6303 + #endif
6304 +
6305 + #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
6306 + int
6307 + main ()
6308 + {
6309 +  int i;
6310 +  for (i = 0; i < 256; i++)
6311 +    if (XOR (islower (i), ISLOWER (i))
6312 +        || toupper (i) != TOUPPER (i))
6313 +      exit(2);
6314 +  exit (0);
6315 + }
6316 + _ACEOF
6317 + rm -f conftest$ac_exeext
6318 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6319 +  (eval $ac_link) 2>&5
6320 +  ac_status=$?
6321 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6322 +  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
6323 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6324 +  (eval $ac_try) 2>&5
6325 +  ac_status=$?
6326 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6327 +  (exit $ac_status); }; }; then
6328 +  :
6329 + else
6330 +  echo "$as_me: program exited with status $ac_status" >&5
6331 + echo "$as_me: failed program was:" >&5
6332 + sed 's/^/| /' conftest.$ac_ext >&5
6333 +
6334 + ( exit $ac_status )
6335 + ac_cv_header_stdc=no
6336 + fi
6337 + rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
6338 + fi
6339 + fi
6340 + fi
6341 + echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
6342 + echo "${ECHO_T}$ac_cv_header_stdc" >&6
6343 + if test $ac_cv_header_stdc = yes; then
6344 +
6345 + cat >>confdefs.h <<\_ACEOF
6346 + #define STDC_HEADERS 1
6347 + _ACEOF
6348 +
6349 + fi
6350 +
6351 + # On IRIX 5.3, sys/types and inttypes.h are conflicting.
6352 +
6353 +
6354 +
6355 +
6356 +
6357 +
6358 +
6359 +
6360 +
6361 + for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
6362 +                  inttypes.h stdint.h unistd.h
6363 + do
6364 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6365 + echo "$as_me:$LINENO: checking for $ac_header" >&5
6366 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6367 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
6368 +  echo $ECHO_N "(cached) $ECHO_C" >&6
6369 + else
6370 +  cat >conftest.$ac_ext <<_ACEOF
6371 + #line $LINENO "configure"
6372 + /* confdefs.h.  */
6373 + _ACEOF
6374 + cat confdefs.h >>conftest.$ac_ext
6375 + cat >>conftest.$ac_ext <<_ACEOF
6376 + /* end confdefs.h.  */
6377 + $ac_includes_default
6378 +
6379 + #include <$ac_header>
6380 + _ACEOF
6381 + rm -f conftest.$ac_objext
6382 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6383 +  (eval $ac_compile) 2>&5
6384 +  ac_status=$?
6385 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6386 +  (exit $ac_status); } &&
6387 +         { ac_try='test -s conftest.$ac_objext'
6388 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6389 +  (eval $ac_try) 2>&5
6390 +  ac_status=$?
6391 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6392 +  (exit $ac_status); }; }; then
6393 +  eval "$as_ac_Header=yes"
6394 + else
6395 +  echo "$as_me: failed program was:" >&5
6396 + sed 's/^/| /' conftest.$ac_ext >&5
6397 +
6398 + eval "$as_ac_Header=no"
6399 + fi
6400 + rm -f conftest.$ac_objext conftest.$ac_ext
6401 + fi
6402 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6403 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6404 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
6405 +  cat >>confdefs.h <<_ACEOF
6406 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6407 + _ACEOF
6408 +
6409 + fi
6410 +
6411 + done
6412 +
6413 +
6414 +
6415 +
6416 +
6417   # Check whether --with-sprng_prefix or --without-sprng_prefix was given.
6418   if test "${with_sprng_prefix+set}" = set; then
6419    withval="$with_sprng_prefix"
# Line 6807 | Line 6709 | echo "${ECHO_T}yes" >&6
6709    withval="$with_mkl"
6710       echo "$as_me:$LINENO: result: yes" >&5
6711   echo "${ECHO_T}yes" >&6
6712 <    for dir in $withval /usr/local/intel/mkl60 /opt/intel/mkl60; do
6712 >    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
6713          mkldir="$dir"
6714          if test -f "$dir/include/mkl.h"; then
6715              found_mkl="yes";
# Line 7084 | Line 6986 | SUBDIRS="libBASS libmdtools src forceFields samples ut
6986  
6987   MKINSTALLDIRS=`pwd`/ac-tools/"shtool mkdir -p -f"
6988  
6989 < SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps"
6989 > SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps third-party "
6990  
6991   CFLAGS=${CFLAGS-""}
6992   CXXFLAGS=${CXXFLAGS-""}
# Line 7119 | Line 7021 | esac
7021  
7022  
7023  
7024 <          ac_config_headers="$ac_config_headers libmdtools/config.h"
7024 >                    ac_config_headers="$ac_config_headers libBASS/config.h libmdtools/config.h"
7025  
7026 <                                                                                                                                                      ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
7026 >                                                                                                                                                                ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile third-party/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
7027  
7028  
7029   cat >confcache <<\_ACEOF
# Line 7657 | Line 7559 | do
7559    "forceFields/Makefile" ) CONFIG_FILES="$CONFIG_FILES forceFields/Makefile" ;;
7560    "samples/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/Makefile" ;;
7561    "staticProps/Makefile" ) CONFIG_FILES="$CONFIG_FILES staticProps/Makefile" ;;
7562 +  "third-party/Makefile" ) CONFIG_FILES="$CONFIG_FILES third-party/Makefile" ;;
7563    "samples/alkane/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/alkane/Makefile" ;;
7564    "samples/argon/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/argon/Makefile" ;;
7565    "samples/beadLipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/beadLipid/Makefile" ;;
7566    "samples/lipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/lipid/Makefile" ;;
7567    "samples/metals/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/metals/Makefile" ;;
7568    "samples/water/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/Makefile" ;;
7569 +  "libBASS/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libBASS/config.h" ;;
7570    "libmdtools/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libmdtools/config.h" ;;
7571    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
7572   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 7794 | Line 7698 | s,@mpi_dir@,$mpi_dir,;t t
7698   s,@LEXLIB@,$LEXLIB,;t t
7699   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
7700   s,@AR@,$AR,;t t
7701 < s,@mpi_dir@,$mpi_dir,;t t
7702 < s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
7703 < s,@MPI_INC@,$MPI_INC,;t t
7701 > s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
7702 > s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
7703 > s,@MPI_F90_INC@,$MPI_F90_INC,;t t
7704   s,@MPI_LIB@,$MPI_LIB,;t t
7705 < s,@MPIF77@,$MPIF77,;t t
7706 < s,@MPIF90@,$MPIF90,;t t
7803 < s,@MPILIBS@,$MPILIBS,;t t
7804 < s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7805 < s,@MPIMODLIBNAME@,$MPIMODLIBNAME,;t t
7806 < s,@EGREP@,$EGREP,;t t
7705 > s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
7706 > s,@USE_MPI@,$USE_MPI,;t t
7707   s,@CPP@,$CPP,;t t
7708 + s,@EGREP@,$EGREP,;t t
7709   s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t
7710   s,@SPRNG_LIB@,$SPRNG_LIB,;t t
7711   s,@SPRNG_INC@,$SPRNG_INC,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines